org.gradle.tooling.model.eclipse

## Interface EclipseProjectDependency

- All Superinterfaces:
    Dependency, ProjectDependency

      public interface EclipseProjectDependency
      extends ProjectDependency

  Represents a dependency on another Eclipse project.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPath()` Returns the path to use for this project dependency.
    `HierarchicalEclipseProject` | `getTargetProject()` Returns the target of this dependency.

- - ### Method Detail

    - #### getTargetProject

          HierarchicalEclipseProject getTargetProject()

      Returns the target of this dependency.
      Returns:
        The target project. Does not return null.

    - #### getPath

          String getPath()

      Returns the path to use for this project dependency.